FROM ubuntu:jammy
LABEL project="kanod-diskimage-launcher-ubuntu"

ARG KANOD_BUILDER_REF KANOD_NODE_REF KANOD_GOGS_REF KANOD_VAULT_REF KANOD_TPM_REF KANOD_COMMON_REF

WORKDIR /
RUN apt-get update && apt-get install --no-install-recommends --no-install-recommends -y rsync git python3 python3-pip debootstrap kpartx \
    qemu-utils curl sudo gdisk dmsetup dosfstools && rm -rf /var/lib/apt/lists/*
RUN python3 -m pip install -U setuptools pip && python3 -m pip install PyYAML && python3 -m pip install diskimage-builder

COPY ./kanod-python-packages/kanod-image-builder-${KANOD_BUILDER_REF}.tar.gz \
    ./kanod-python-packages/kanod-node-${KANOD_NODE_REF}.tar.gz \
    ./kanod-python-packages/kanod-gogs-${KANOD_GOGS_REF}.tar.gz\
    ./kanod-python-packages/kanod-vault-${KANOD_VAULT_REF}.tar.gz \
    ./kanod-python-packages/kanod-registrar-${KANOD_TPM_REF}.tar.gz \
    ./kanod-python-packages/kanod-common-${KANOD_COMMON_REF}.tar.gz /

RUN python3 -m pip install  kanod-image-builder-${KANOD_BUILDER_REF}.tar.gz kanod-node-${KANOD_NODE_REF}.tar.gz \
    kanod-gogs-${KANOD_GOGS_REF}.tar.gz kanod-vault-${KANOD_VAULT_REF}.tar.gz kanod-registrar-${KANOD_TPM_REF}.tar.gz \
    kanod-common-${KANOD_COMMON_REF}.tar.gz

COPY runContainer.sh .

ENV PYTHONPATH /usr/local/lib/python3.8/dist-packages:/usr/lib/python3.8/site-packages

ENTRYPOINT ["/runContainer.sh"]
